Bug 221087 - New port: databases/grass7
Summary: New port: databases/grass7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-29 09:34 UTC by Loïc Bartoletti
Modified: 2017-07-30 14:20 UTC (History)
2 users (show)

See Also:


Attachments
new port: grass7. Move grass -> grass6 (387.15 KB, patch)
2017-07-29 09:34 UTC, Loïc Bartoletti
no flags Details | Diff
consolidated diff with MOVED etc. (389.27 KB, patch)
2017-07-30 11:21 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti 2017-07-29 09:34:15 UTC
Created attachment 184826 [details]
new port: grass7. Move grass -> grass6

Welcome to grass7!

We have created the port for grass7 (http://grass.osgeo.org/).

Poudrier 10/11/12 i386/amd64 ok
Porlint have some fake warnings.

Since graphics/qgis can use grass6 and grass7 (both can be used), I suggest to move databases/grass to databases/grass6.
For databases/grass(6) I take the maintainership of this port.


Regards.
Comment 1 Kurt Jaeger freebsd_committer 2017-07-30 07:16:08 UTC
testbuilds@work
Comment 2 Kurt Jaeger freebsd_committer 2017-07-30 11:21:36 UTC
Created attachment 184845 [details]
consolidated diff with MOVED etc.

This diff was testbuilded for grass6 and 7, testbuild qgis@work
Comment 3 commit-hook freebsd_committer 2017-07-30 14:19:11 UTC
A commit references this bug:

Author: pi
Date: Sun Jul 30 14:18:30 UTC 2017
New revision: 446935
URL: https://svnweb.freebsd.org/changeset/ports/446935

Log:
  New port: databases/grass7
  databases/grass: renamed to databases/grass6

  - submitter becomes maintainer
  - changed dependency for graphics/qgis to grass6

            Geographic Resources Analysis Support System
                             (GRASS GIS)

  An open source Geographical Information System (GIS) with raster,
  topological vector, image processing, and graphics production functionality
  that operates on various platforms through a graphical user interface and
  shell in X-Windows. It is released under GNU General Public License (GPL).

  WWW: http://grass.osgeo.org/

  PR:		221087
  Submitted by:	lbartoletti@tuxfamily.org

Changes:
  head/MOVED
  head/databases/Makefile
  head/databases/grass/
  head/databases/grass6/
  head/databases/grass6/Makefile
  head/databases/grass7/
  head/databases/grass7/Makefile
  head/databases/grass7/distinfo
  head/databases/grass7/files/
  head/databases/grass7/files/patch-Makefile
  head/databases/grass7/files/patch-include_Make_Install.make
  head/databases/grass7/files/patch-lib_python_ctypes_ctypesgencore_parser_preprocessor.py
  head/databases/grass7/pkg-descr
  head/databases/grass7/pkg-plist
  head/graphics/qgis/Makefile
Comment 4 Kurt Jaeger freebsd_committer 2017-07-30 14:20:02 UTC
Committed, thanks!